import { defineComponent as p, computed as i, openBlock as l, createBlock as d, withCtx as o, createVNode as r, unref as u, renderSlot as f } from "vue";
import m from "../ApiReferenceLayout.vue.js";
import g from "../ClassicHeader.vue.js";
import k from "../SearchButton.vue.js";
import S from "../DarkModeToggle/DarkModeIconToggle.vue.js";
const C = /* @__PURE__ */ p({
  __name: "ClassicLayout",
  props: {
    configuration: {},
    parsedSpec: {},
    rawSpec: {},
    isDark: { type: Boolean }
  },
  emits: ["toggleDarkMode"],
  setup(n) {
    const s = n, a = i(() => ({ ...s.configuration, showSidebar: !1 }));
    return (e, t) => (l(), d(m, {
      configuration: a.value,
      parsedSpec: e.parsedSpec,
      rawSpec: e.rawSpec
    }, {
      "content-start": o(({ spec: c }) => [
        r(g, null, {
          "dark-mode-toggle": o(() => [
            r(u(S), {
              isDarkMode: e.isDark,
              onToggleDarkMode: t[0] || (t[0] = (D) => e.$emit("toggleDarkMode"))
            }, null, 8, ["isDarkMode"])
          ]),
          default: o(() => [
            r(k, {
              class: "t-doc__sidebar",
              searchHotKey: a.value.searchHotKey,
              spec: c
            }, null, 8, ["searchHotKey", "spec"])
          ]),
          _: 2
        }, 1024)
      ]),
      "content-end": o(() => [
        f(e.$slots, "footer")
      ]),
      _: 3
    }, 8, ["configuration", "parsedSpec", "rawSpec"]));
  }
});
export {
  C as default
};
